Bug 1272846 - Docker policy defines rules for distro types.
Docker policy defines rules for distro types.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
24
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1272848
  Show dependency treegraph
 
Reported: 2015-10-19 01:27 EDT by Miroslav Grepl
Modified: 2016-03-23 12:56 EDT (History)
6 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-155.fc24 selinux-policy-3.13.1-179.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1272848 (view as bug list)
Environment:
Last Closed: 2016-03-23 12:56:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Grepl 2015-10-19 01:27:35 EDT
Description of problem:

With the current policy, we need to define rules for types which are provided by distribution in docker-selinux policy which means we need to require private types.

https://github.com/fedora-cloud/docker-selinux/blob/master/docker.te

optional_policy(`
 gen_require(`
  type pcp_pmcd_t;
')
  docker_manage_lib_files(pcp_pmcd_t)
')


These rules should be a part of Fedora distro policy. We need to have a way how to provide docker.if which reflects docker.if shipped by docker-selinux.rpm.
Comment 1 Lukas Vrabec 2015-10-20 11:32:45 EDT
For more info about this issue see: https://lists.fedoraproject.org/pipermail/selinux/2015-October/016923.html
Comment 2 Jan Kurik 2016-02-24 10:47:59 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Fedora Update System 2016-03-11 04:56:09 EST
selinux-policy-3.13.1-178.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1350c96015
Comment 4 Fedora Update System 2016-03-11 14:25:50 EST
selinux-policy-3.13.1-178.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1350c96015
Comment 5 Fedora Update System 2016-03-16 09:42:04 EDT
selinux-policy-3.13.1-179.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8f142bb969
Comment 6 Fedora Update System 2016-03-18 10:58:42 EDT
selinux-policy-3.13.1-179.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8f142bb969
Comment 7 Fedora Update System 2016-03-23 12:54:46 EDT
selinux-policy-3.13.1-179.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.